package org.wronka.matt.Okc;


public class Message {
	protected String from; 
	protected String subject;
	protected String body;
	protected String url;
	protected boolean bRead = false;
	protected boolean bFetchedBody = false;

	public Message(String from, String url, String subject) {
		this.from = from;
		this.url = url;
		this.subject = subject;
		this.body = null;
	}

	public String getFrom() { return from; }
	public String getSubject() { return subject; }
	public String getURL() { return url; }

	public void setBody(String body) {
		this.body = body;
		bFetchedBody = true;
	}

	public String getBody() {
		return body;
	}

	public void setReadStatus(boolean read) {
		this.bRead = read;
	}

	public boolean getReadStatus() {
		return this.bRead;
	}

	public boolean getHasBody() {
		return bFetchedBody;
	}
}
